Send Login Link
curl --request POST \
--url https://api.velt.dev/v2/workspace/email/send-login-link \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"email": "<string>",
"continueUrl": "<string>"
}
}
'import requests
url = "https://api.velt.dev/v2/workspace/email/send-login-link"
payload = { "data": {
"email": "<string>",
"continueUrl": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({data: {email: '<string>', continueUrl: '<string>'}})
};
fetch('https://api.velt.dev/v2/workspace/email/send-login-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Login link sent successfully",
"data": null
}
}
Account Creation and Verification
Send Login Link
Send a magic login link to a Velt workspace owner’s email address using the v2 REST API to authenticate access to the Velt console without a password.
POST
/
v2
/
workspace
/
email
/
send-login-link
Send Login Link
Use this API to send a login link to a workspace owner’s email address.
This is a public endpoint — no authentication headers are required.
Endpoint
POST https://api.velt.dev/v2/workspace/email/send-login-link
Body
Params
Example Request
{
"data": {
"email": "owner@example.com",
"continueUrl": "https://console.velt.dev/"
}
}
Example Response
Success Response
{
"result": {
"status": "success",
"message": "Login link sent successfully",
"data": null
}
}
Failure Response
If continueUrl is not a valid URL
{
"error": {
"status": "INVALID_ARGUMENT",
"message": "Invalid url for continueUrl"
}
}
If the continueUrl domain is not allowed
{
"error": {
"status": "INVALID_ARGUMENT",
"message": "The continueUrl domain is not allowed."
}
}
If email domain is disposable
{
"error": {
"status": "INVALID_ARGUMENT",
"message": "This email domain is not supported."
}
}
If rate limit exceeded
{
"error": {
"status": "RESOURCE_EXHAUSTED",
"message": "Rate limit exceeded for this endpoint. Try again later."
}
}
{
"result": {
"status": "success",
"message": "Login link sent successfully",
"data": null
}
}
Was this page helpful?
⌘I

